require 'httparty'
require 'json'
module Auth

    def exchangeToken(appSecret, accessCode, connectionID)
        payload = { 
            appSecret: appSecret,
            accessCode: accessCode,
            connectionID: connectionID
        }
        headers = { 
            "Content-Type": "application/json"
        }

        response = HTTParty.post( "http://localhost:80/v1/auth/ExchangeToken", {body: payload.to_json, headers: headers} )
    end

    def checkLogin(appSecret, userSecret, sync, addresses)
        payload = { 
            appSecret: appSecret,
            userSecret: userSecret,
            sync: sync
        }
        headers = { 
            "Content-Type": "application/json"
        }

        response = HTTParty.post( "https://api.dapi.co/v1/auth/login/check", {body: payload.to_json, headers: headers})
    end

    def delinkUser(appSecret, accessCode, token)
        payload = { 
            appSecret: appSecret,
            accessCode: accessCode
        }
        headers = { 
            "Content-Type": "application/json",
             Authorization: "Bearer #{token}"
        }

        response = HTTParty.post( "https://api.dapi.co/v1/Users/DelinkUser", {body: payload.to_json, headers: headers} )
    end

    def refreshAccessToken(appSecret, accessToken)
        payload = { 
            appSecret: appSecret,
            accessToken: accessToken
        }
        headers = { 
            "Content-Type": "application/json",
             Authorization: "Bearer #{token}"
        }

        response = HTTParty.post( "https://api.dapi.co/v1/Users/DelinkUser", {body: payload.to_json, headers: headers} )
    end

end