require 'httparty'
require 'json'
module Payment

    def getBeneficiaries(appSecret, userSecret, token, sync, addresses)
        payload = { 
            appSecret: appSecret,
            accessCode: accessCode,
            sync: sync,
            addresses: addresses
        }
        headers = { 
            "Content-Type": "application/json",
            Authorization: "Bearer #{token}"
        }

        response = HTTParty.post( "http://localhost:80/v1/payment/beneficiaries/get", {body: payload.to_json, headers: headers} )
    end

    def createBeneficiary(appSecret, userSecret, token, params, sync, addresses)
        payload = { 
            appSecret: appSecret,
            userSecret: userSecret,
            name: params[:name],
            accountNumber: params[:accountNumber],
            type: params[:type],
            address: params[:address],
            country: params[:country],
            sortCode: params[:sortCode],
            branchAddress: params[:branchAddress],
            branchName: params[:branchName],
            phoneNumber: params[:phoneNumber],
            iban: params[:iban],
            swiftCode: params[:swiftCode],
            sync: sync,
            addresses: addresses
        }
        headers = { 
            "Content-Type": "application/json",
            Authorization: "Bearer #{token}"
        }

        response = HTTParty.post( "https://api.dapi.co/v1/payment/beneficiaries/create", {body: payload.to_json, headers: headers})
    end

    def createTransfer(appSecret, userSecret, token, receiverID, senderID, remark, sync, addresses)
        payload = { 
            appSecret: appSecret,
            accessCode: accessCode,
            sync: sync,
            addresses: addresses
        }
        headers = { 
            "Content-Type": "application/json",
             Authorization: "Bearer #{token}"
        }

        response = HTTParty.post( "https://api.dapi.co/v1/payment/transfer/create", {body: payload.to_json, headers: headers} )
    end

end